Subject: Re: [PATCH] use persistent memory for rejected paths

From: Clemens Buchacher <[email-masked]>
Date: Tue, 16 Nov 2010 00:30:49 +0100

On Mon, Nov 15, 2010 at 03:05:07PM -0800, Junio C Hamano wrote:
> Clemens Buchacher <[email-masked]> writes:
> > You don't have to take my word for it, just try the test. It should
> > be failing nicely.  :-)
> 
> As far as I remember the tests were about the output order and never about
> "ah we are showing stale contents from stack" (which is rather hard to
> arrange for reliable testing anyway).

I changed t7607 to reject two paths 'sub' and 'sub2' and test the
output.  Without the fix, the output is

 error: The following untracked working tree files would be overwritten by      
 merge:                                                                         
        sub2
        sub2                                                                    
 Please move or remove them before you can merge.                               

since the same buffer is used for both rejected paths. So it does
fail reliably.

Clemens